Subject: bug#48969: closed (Re: bug#48969: [PATCH] gnu: prosody: Update to 0.11.9.)

From: [email-masked] (GNU bug Tracking System)
Date: Sun, 13 Jun 2021 21:10:02 +0000

Your bug report

#48969: [PATCH] gnu: prosody: Update to 0.11.9.

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
48969: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=48969
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#48969: [PATCH] gnu: prosody: Update to 0.11.9.
From: Ludovic Courtès <[email-masked]>
To: Solene Rapenne <[email-masked]>
Cc: [email-masked]
Date: Sun, 13 Jun 2021 23:09:01 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

Solene Rapenne <[email-masked]> skribis:

> Prosody 0.11.3 was released in september 2019, I sincerely hope nobody
> is using it on Guix because it's clearly outdated and unsecure. From
> 0.11.3 to 0.11.9 there are no breaking changes to my knowledge and the
> update should be smooth for current users.
>
> I didn't try the runtime because it's not that easy without a
> configured server.
>
>
> * gnu/packages/messaging.scm (prosody): Update to 0.11.9.

“make check-system TESTS=prosody” passes, so I went ahead and applied it.

Please add comments after the “--” line so that they’re not part of the
commit log when applying the patch.

Thanks!

Ludo’.

Subject: [PATCH] gnu: prosody: Update to 0.11.9.
From: Solene Rapenne <[email-masked]>
To: [email-masked]
Date: Sat, 12 Jun 2021 09:42:29 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Prosody 0.11.3 was released in september 2019, I sincerely hope nobody
is using it on Guix because it's clearly outdated and unsecure. From
0.11.3 to 0.11.9 there are no breaking changes to my knowledge and the
update should be smooth for current users.

I didn't try the runtime because it's not that easy without a
configured server.

* gnu/packages/messaging.scm (prosody): Update to 0.11.9.
---
 gnu/packages/messaging.scm | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/gnu/packages/messaging.scm b/gnu/packages/messaging.scm
index 7b91284b10..9ff45026e1 100644
--- a/gnu/packages/messaging.scm
+++ b/gnu/packages/messaging.scm
@@ -1275,14 +1275,14 @@ default.")
 (define-public prosody
   (package
     (name "prosody")
-    (version "0.11.3")
+    (version "0.11.9")
     (source (origin
               (method url-fetch)
               (uri (string-append "https://prosody.im/downloads/source/"
                                   "prosody-" version ".tar.gz"))
               (sha256
                (base32
-                "11xz4milv2962qf75vrdwsvd8sy2332nf69202rmvz5989pvvnng"))))
+                "02gzvsaq0l5lx608sfh7hfz14s6yfsr4sr4kzcsqd1cxljp35h6c"))))
     (build-system gnu-build-system)
     (arguments
      `(#:tests? #f                      ;tests require "busted"
-- 
2.32.0